{% load static %}
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Datasource create</title>
    <link href="{% static 'datasourcesapp/css/add_datasource.css' %}" type="text/css" rel="stylesheet" />
    <!--FONT AWESOME ICONS https://fontawesome.com/v4.7/icon/home-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" />
</head>


<body>
    <div class="main">
        <div class="sections box-shadow">
            <h3>Add Datasources</h3>
            <form action="" method="POST" enctype="multipart/form-data">
                {% csrf_token %}
                <div class="flex-group">
                    <div class="form-row">
                        <div class="form-col"><label for="">Host</label></div>
                        <div class="form-col">
                            <input type="text" name="db_host" placeholder="eg : 192.168.23.35" required />
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-col"><label for="">Port</label></div>
                        <div class="form-col">
                            <input type="text" name="db_port" placeholder="eg : 3306" required />
                        </div>
                    </div>
                </div>
                <div class="flex-group">
                    <div class="form-row">
                        <div class="form-col"><label for="">Database</label></div>
                        <div class="form-col">
                            <input type="text" name="db_name" placeholder="eg : loradb" required />
                        </div>
                    </div>
                </div>
                <div class="flex-group">
                    <div class="form-row">
                        <div class="form-col"><label for="">User</label></div>
                        <div class="form-col">
                            <input type="text" name="db_user" placeholder="eg : root" required />
                        </div>
                    </div>

                    <div class="form-row">
                        <div class="form-col"><label for="">Pass</label></div>
                        <div class="form-col">
                            <input type="password" name="db_pass" placeholder="eg : " required />
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <input type="submit" value="create" />
                </div>
            </form>
        </div>

        <div class="sections box-shadow">

            <h3>Data Sources</h3>
            <table class="list-table">
                <thead>
                    <tr>
                        <th>Host</th>
                        <th>Port</th>
                        <th>Name</th>
                        <th>User</th>
                        <th>Password</th>
                        <th>Status</th>
                        <th>Check</th>
                        <th>Update</th>
                        <th>Delete</th>
                    </tr>
                </thead>
                <tbody>
                    {% for each in datasources %}
                    <tr>
                        <form action="update" method="POST">
                            {% csrf_token %}
                            <input type="number" value="{{each.id}}" hidden name="db_id">
                            <td><input class="td-input" type="text" value="{{each.db_host}}" name="db_host" required>
                            </td>
                            <td><input class="td-input" type="text" value="{{each.db_port}}" name="db_port"></td>
                            <td><input class="td-input" type="text" value="{{each.db_name}}" name="db_name" required>
                            </td>
                            <td><input class="td-input" type="text" value="{{each.db_user}}" name="db_user" required>
                            </td>
                            <td><input class="td-input" type="password" value="{{each.db_pass}}" name="db_pass"></td>
                            <td><a href="status/{{ each.id }}"><button type="button" class="
                                {% if each.db_status == 1 %}
                                    green
                                {% else %}
                                    red
                                {% endif %}
                                "><i class="fa fa-power-off" aria-hidden="true"></i></button>
                                </a></td>

                            <td><a href="connection/{{ each.id }}"><button type="button"><i class="fa fa-question-circle-o"
                                aria-hidden="true"></i></button></a></td>

                            <td><button><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button></td>
                            <td><a href="delete/{{ each.id }}"><button type="button"><i class="fa fa-trash-o"
                                            aria-hidden="true"></i></button></a></td>
                        </form>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>

        </div>

        <br><br><br>

        <!--SNACKBAR MESAGE-->
        <link href="{% static 'common/css/snackbar.css' %}" type="text/css" rel="stylesheet">
        <div id="snackbar"></div>
        <script src="{% static 'common/js/snackbar.js' %}"></script>


        {% for message in messages %}
        <script>showSnackBar("{{ message }}");</script>
        {% endfor %}

    </div>
</body>

</html>